import { IOutputAreaModel } from '@jupyterlab/outputarea';
import { OutputAdapter } from './OutputAdapter';
export type IOutputState = {
    adapter?: OutputAdapter;
    model?: IOutputAreaModel;
    input?: string;
    dataset?: any;
    code?: string;
    gradeSuccess?: boolean;
};
export interface IOutputsState {
    outputs: Map<string, IOutputState>;
}
export type OutputState = IOutputsState & {
    getAdapter: (id: string) => OutputAdapter | undefined;
    getDataset: (id: string) => any | undefined;
    getExecuteRequest: (id: string) => string | undefined;
    getGradeSuccess: (id: string) => boolean | undefined;
    getInput: (id: string) => string | undefined;
    getModel: (id: string) => IOutputAreaModel | undefined;
    setAdapter: (id: string, adapter: OutputAdapter) => void;
    setDataset: (id: string, dataset: any) => void;
    setExecuteRequest: (id: string, code: string) => void;
    setGradeSuccess: (id: string, gradeSuccess: boolean) => void;
    setInput: (id: string, source: string) => void;
    setModel: (id: string, output: IOutputAreaModel) => void;
    setOutputs: (id: string, outputs: Map<string, IOutputState>) => void;
};
export declare const outputsStore: import("zustand").StoreApi<OutputState>;
export declare function useOutputsStore(): OutputState;
export declare function useOutputsStore<T>(selector: (state: OutputState) => T): T;
export default useOutputsStore;
