import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState, useEffect } from 'react';
import InputViewer from './input/InputViewer';
// import OutputViewer from './output/OutputViewer';
import { newUuid } from '../../utils/Utils';
export const Viewer = (props) => {
    const { nbformat, nbformatUrl } = props;
    const [model, setModel] = useState();
    useEffect(() => {
        if (nbformat) {
            setModel(nbformat);
        }
        if (nbformatUrl) {
            fetch(nbformatUrl)
                .then(response => {
                return response.text();
            })
                .then(nbformat => {
                // const nbformat = nb.replaceAll('\\n', '');
                setModel(JSON.parse(nbformat));
            });
        }
    }, [nbformat, nbformatUrl]);
    return (_jsx(_Fragment, { children: model?.cells.map(cell => {
            cell.metadata['editable'] = false;
            return (_jsx("div", { children: _jsx(InputViewer, { cell: cell, languageInfo: model.metadata.language_info }) }, cell.id?.toString() || newUuid()));
        }) }));
};
export default Viewer;
//# sourceMappingURL=Viewer.js.map