import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Box, Text } from '@primer/react';
import { Jupyter } from '../jupyter/Jupyter';
import { Viewer } from '../components/viewer/Viewer';
import matplotlib from './notebooks/Matplotlib.ipynb.json';
const JupyterViewerExample = () => {
    return (_jsx(_Fragment, { children: _jsx(Box, { m: 3, children: _jsxs(Jupyter, { serverless: true, children: [_jsx(Text, { as: "h1", children: "Jupyter Viewer with Plotly outputs" }), _jsx(Viewer, { nbformatUrl: "https://raw.githubusercontent.com/datalayer-examples/notebooks/main/daily-stock.ipynb", outputs: true }), _jsx(Text, { as: "h1", children: "Jupyter Viewer without outputs" }), _jsx(Viewer, { nbformat: matplotlib, outputs: false })] }) }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(JupyterViewerExample, {}));
//# sourceMappingURL=Viewer.js.map