import { ServiceManager } from '@jupyterlab/services';
export type KernelRequest = {
    "kernel_type": "notebook";
    "kernel_given_name": string;
    "credits_limit": number;
    "capabilities": string[];
};
export type KernelResponse = {
    "success": boolean;
    "message": string;
    "kernel": {
        "burning_rate": number;
        "kernel_type": "notebook";
        "kernel_given_name": string;
        "environment_name": string;
        "environment_display_name": string;
        "jupyter_pod_name": string;
        "token": string;
        "ingress": string;
        "reservation_id": string;
        "started_at": string;
        "expired_at": string;
    };
};
export declare const createDatalayerServiceManager: (environmentName: string, credits: number) => Promise<ServiceManager>;
